Create a new user
POST /users
Creates a new user.
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
accessKey |
string |
False |
The AWS access key of the user |
azureCredentials |
False |
||
string |
False |
The email address of the user |
|
firstName |
string |
False |
The first name of the user |
isLdap |
boolean |
True |
Indicates whether the user is an LDAP user |
lastName |
string |
False |
The last name of the user |
ldapUserName |
string |
False |
The LDAP user name |
notificationsOptIn |
boolean |
False |
Email notifications opt-in |
password |
string |
False |
User password |
roleId |
string |
True |
Role ID of the user |
s3Bucket |
string |
False |
The AWS S3 bucket of the user |
secretKey |
string |
False |
The AWS secret key of the user |
tenantId |
string |
False |
Tenant ID of the user |
Example request
{
"accessKey": "string",
"azureCredentials": {
"applicationId": "string",
"applicationKey": "string",
"subscriptionId": "string",
"tenantId": "string"
},
"email": "string",
"firstName": "string",
"isLdap": false,
"lastName": "string",
"ldapUserName": "string",
"password": "string",
"roleId": "string",
"s3Bucket": "string",
"secretKey": "string",
"tenantId": "string"
}
Error
Status: Default, Default response
| Name | Type | Required | Description |
|---|---|---|---|
assignedWorkingEnvironments |
array[string] |
True |
List of public IDs for all of the systems visible to the user |
azureCredentials |
False |
||
cloudSyncLicenseInformation |
False |
||
createdWorkingEnvironments |
True |
List of all systems created by the user |
|
string |
True |
The email address of the user |
|
firstName |
string |
True |
The first name of the user |
isLdap |
boolean |
True |
Indicates whether the user is an LDAP user |
lastName |
string |
True |
The last name of the user |
ldapUserName |
string |
True |
The LDAP user name |
notificationsOptIn |
boolean |
True |
Notification opt-in |
permissions |
array[string] |
True |
Permissions |
publicId |
string |
True |
User public ID |
roleId |
string |
True |
Role ID of the user |
tenantId |
string |
True |
Tenant ID of the user |
Example error response
{
"assignedWorkingEnvironments": [
"string"
],
"azureCredentials": {
"applicationId": "string",
"applicationKey": "string",
"subscriptionId": "string",
"tenantId": "string"
},
"cloudSyncLicenseInformation": {
"cloudSyncLicenseTypes": [
"string"
]
},
"createdWorkingEnvironments": [
{
"name": "string",
"publicId": "string",
"workingEnvironmentType": "string"
}
],
"email": "string",
"firstName": "string",
"isLdap": false,
"lastName": "string",
"ldapUserName": "string",
"notificationsOptIn": false,
"permissions": [
"string"
],
"publicId": "string",
"roleId": "string",
"tenantId": "string"
}
Definitions
See Definitions
AzureCredentialsRequest
| Name | Type | Required | Description |
|---|---|---|---|
applicationId |
string |
False |
The application ID |
applicationKey |
string |
False |
The application key |
subscriptionId |
string |
False |
The subscription ID |
tenantId |
string |
False |
The tenant ID |
AzureCredentials
| Name | Type | Required | Description |
|---|---|---|---|
applicationId |
string |
False |
|
applicationKey |
string |
False |
|
subscriptionId |
string |
False |
|
tenantId |
string |
False |
CloudSyncLicenseInformation
| Name | Type | Required | Description |
|---|---|---|---|
cloudSyncLicenseTypes |
array[string] |
False |
Cloud Sync license types |
licenseExpirationDate |
integer |
False |
Cloud Sync License Expiration Date |
UserWorkingEnvironmentResponse
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
System name |
publicId |
string |
True |
System public ID |
workingEnvironmentType |
string |
True |
System type |